# mageia4arm

Outils servant à  générer une image Mageia pour systèmes à base de processeurs arm

Démarrage rapide:

Choisissez le dossier de configuration adapté à votre besoin (rpi ou xu4), sinon créez un nouveau dossier de configuration, copiez le fichier "mageia4arm.cfg.template"" à l'interieur et modifiez le selon vos besoins.
Par défaut l'utilisateur est "pi"" avec le mot de passe "raspberry", et l'administrateur "root" avec le mot de passe "piroot"

Créer l'image:
create_arm_img_urpmi.sh --all --config <dossier de configuration>

Aide:
create_arm_img_urpmi.sh -h|--help

Vous pouvez adapter le script "second_stage_install.sh"" afin de compléter l'installation.
Des scripts sont disponibles dans le dossier "tools", ils sont copié dans usr/local/bin/ dans l'image.

Premier lancement de l'image sur le raspberry pi:
. lancer drakkeyboard afin de configurer le clavier
. si vous avez besoin d'un gestionnaire graphique, lancer le script:
install_graphical.sh \<gestionnaire-graphique\>( xfce, lxqt, plasma, ...) voir les métapaquetages disponibles dans "Environnement graphique" dans le gestionnaire de logiciels.



This repository contains script to make image for arm based systems from Mageia repositories.

Quick start:

Choose the config dir you need (rpi or xu4), else create a new config directory with "mageia4arm.cfg.template"" in and modify it as you need.
By default username is "pi"" with password "raspberry" and root password is "piroot".

create_arm_img_urpmi.sh --all --config <your config dir>

Help:
create_arm_img_urpmi.sh -h|--help

you can adapt the script "second_stage_install.sh"" to complete the installation.
Some scripts are available in directory "tools". they are copied in /usr/local/bin/ in the image.

First launch of the image on raspberry pi:
. launch drakkeyboard for configure keyboard layout.
. if you need a graphical environment, launch the script :
  install_graphical.sh \<graphical environment\> ( xfce, lxqt, plasma, ...), see "Graphical environment" in the Mageia application manager' meta packages.
